math.randomseed(os.time())

planet = {}

function planet_load(x, y, size, id)
	table.insert(planet, {x = x, y = y, size = size, id = id})
end

function planet_draw()
	for i,v in ipairs(planet) do
		love.graphics.setColor(255,255,255)
		love.graphics.circle("fill", v.x, v.y, v.size, 128)
	end
end

function planet_select()
	x = love.mouse.getX()
	y = love.mouse.getY()

	for i,v in ipairs(planet) do
		if x < v.x-v.size/2+v.size and
		v.x-v.size/2 < x and
		y < v.y-v.size/2+v.size and
		v.y-v.size/2 < y then
			if love.mouse.isDown("l") then
				love.graphics.setColor(255,255,255)
				love.graphics.print(v.id, 0, 0)
			end
		end
	end
end